class MimeTypeNotMatchException implements Exception {
  final Set<String> acceptMimeTypes;
  final String? mimeType;

  const MimeTypeNotMatchException(this.acceptMimeTypes, this.mimeType)
      : assert(acceptMimeTypes.length > 0, 'acceptMimeTypes must not be empty');

  @override
  String toString() =>
      'MimeTypeMatchException: accept mimeTypes: {${acceptMimeTypes.join(' ')}}, mimeType: ${mimeType ?? 'undefined'}';
}
